#
# spec file for package sdcv
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           sdcv
Version:        0.5.0~beta2
Release:        1.1
Summary:        Console version of the Stardict program
License:        GPL-2.0
Group:          Productivity/Office/Dictionary
Url:            http://sdcv.sourceforge.net/
Source:         http://downloads.sourceforge.net/project/%{name}/%{name}/%{name}-0.5.0-beta2-Source.tar.bz2
BuildRequires:  cmake >= 2.8
BuildRequires:  gcc-c++
BuildRequires:  gettext-tools
BuildRequires:  glib2-devel
BuildRequires:  readline-devel
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Console version of the Stardict program.
It can employ all the dictionary files that belong to StarDict.
The word sdcv stands for StarDict under Console Version.

%prep
%setup -q -n sdcv-0.5.0-beta2-Source

%build
%cmake
make %{?_smp_mflags}
# force recreation of the locale files
make %{?_smp_mflags} lang

%install
%cmake_install
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%dir %{_mandir}/uk/
%dir %{_mandir}/uk/man1/
%{_mandir}/uk/man1/%{name}.1.gz
%doc README.org NEWS COPYING AUTHORS

%changelog
* Thu May  5 2016 sleep_walker@opensuse.org
- spec-file cleanup
- fix download URL
* Tue Aug 12 2014 mcihar@suse.cz
- now builds using cmake
- spec file cleanup
- update to 0.5.0~beta2
  - all patches integrated upstream
* Mon May  9 2011 mcihar@suse.cz
- add bugfix patches from Debian to fix build
* Sat Jun 20 2009 PVince81@yahoo.fr
- Fixed french translation patch.
* Fri Jun 19 2009 PVince81@yahoo.fr
- Fixed language files searching.
* Mon Jun 15 2009 PVince81@yahoo.fr
- Added french translation
* Mon Jun 15 2009 PVince81@yahoo.fr
- Initial version
